Loading...
Searching...
No Matches
restinio::easy_parser::impl::caseless_particular_symbol_predicate_t Struct Reference

A predicate for cases where the case-insensitive match of expected and actual symbols is required. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::caseless_particular_symbol_predicate_t:

## Public Member Functions

| caseless_particular_symbol_predicate_t (char v) noexcept
RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Public Attributes

char | m_expected

## Detailed Description

A predicate for cases where the case-insensitive match of expected and actual symbols is required.

Since
  v.0.6.6

Definition at line 2239 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## caseless_particular_symbol_predicate_t()

restinio::easy_parser::impl::caseless_particular_symbol_predicate_t::caseless_particular_symbol_predicate_t | ( | char | v | ) |

inline noexcept

Definition at line 2243 of file easy_parser.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::easy_parser::impl::caseless_particular_symbol_predicate_t::operator() | ( | const char | actual | ) | const

inline noexcept

Definition at line 2249 of file easy_parser.hpp.

## Member Data Documentation

## m_expected

char restinio::easy_parser::impl::caseless_particular_symbol_predicate_t::m_expected

Definition at line 2241 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp